Fetch a list of Report queriesAsk AIget https://api.kolide.com/reporting/queriesQuery Paramsomit_resultsstringIn version 2023-05-26 of the API, query results are included by default in the reporting query results field. However, this can lead to timeouts when retrieving queries with large resultsets. To improve performance and prevent timeouts, exclude results by adding the query parameter: omit_results=true and fetch results from the paginated endpoint (see below). Note: The results field is deprecated and will be removed in a future API version. For paginated access to query results, use the dedicated endpoint: /reporting/queries/{queryId}/results cursorstringSpecify the cursor to begin returning results fromper_pageint321 to 100Defaults to 25Specify the number of records to return in each response.Headersx-kolide-api-versionstringDefaults to 2023-05-26Specify the API version to be usedResponses 200A paginated collection of Report queries 401An 'unauthorized' response may occur for features restricted by or unavailable to your organization 403A 'forbidden' response may occur if the API key does not have necessary permissions to perform certain actionsUpdated over 2 years ago